# Zápočtový test

- Autonomní konečný automat může generovat
	- posloupnost, která po konečném počtu stavů přejde na periodickou posloupnost

- Co je syntéza řeči z textu
	- jde o počítačové generování řeči s cílem převést napsanou zprávu na řečový signál

- Sériové spojení bloků s přenosy $F_1(s)$ a $F_2(s)$ má přenos
	- $F(s) = F_1(s) \cdot F_2(s)$

- Paralelní spojení bloků s přenosy $F_1(s)$ a $F_2(s)$ má přenos
	- $F(s) = F_1(s) + F_2(s)$

- Mezi bodové jasové transformace nepatří
	- filtrace šumu

- Mezi segmentační techniky nepatří
    - filtrace šumu

- Inverzní kyvadlo je ve vzpřímené poloze
	- nestabilní

- Produkční systém je
	- systém pro reprezentaci a odvozování znalostí

- Přenos systému je
	- Laplaceův obraz impulsní charakteristiky systému

- Uveďte které z následujících vyjádření lze zapsat produkčním pravidlem
	- pakliže mi vlétne osina do nosu, kýchám

- Jak je definována jednostranná Laplaceova transformace funkce $h(t)$
	- $\displaystyle\int_{0}^{\infty} h(t)e^{-st}dt$

- Za zakladatele kybernetiky je nejčastěji považován
	- N. Wiener

- Ve kterém roce položil N. Wiener základy kybernetiky
	- 1948

- N. Wiener definoval kybernetiku jako vědu o
	- sdělování a řízení ve strojích a živých organismech

- Jak velkou entropii (neurčitost) musíte odstranit, abyste věděli, které číslo od 1 do 4096 si myslím
	- 12 bitů

- Jak velkou entropii (neurčitost) musíte odstranit, abyste věděli, které číslo od 1 do 6 si myslím?
	- něco mezi 2 a 3 bity

- Pro jaká reálná čísla „a“ je řešení diferenciální rovnice $\frac{dx}{dt} = a \cdot x$ omezené (stabilní)
	- $a < 0$

- Diferenciální rovnice $\frac{dx(t)}{dt} = ax(t)$, $x(0) = 1$, má omezené řešení pro $t \geq 0$ je-li:
	- $a \leq 0$

- Jaký tvar má odezva lineárního t-invariantního systému v ustáleném stavu na sinusový signál
	- sinusový

- Impulsní charakteristika lineárního t-invariantního systému, je odezva systému na
	- Diraclův puls

- Frekvenční charakteristika lineárního t-invariantního systému, je odezva systému na
    - harmonické buzení

- Přechodová charakteristika lineárního t-invariantního systému je
    - odezva na jednotkový skok

- Impulsní charakteristika lineárního t-invariantního systému je
	- inverzní Fourierova transformace přenosu

- Jaký je účel segmentace digitálního obrazu
	- oddělit objekty od pozadí

- K oddělení objektů od pozadí se využívá
    - prahování

- Jednoduchá regulační smyčka se skládá z
	- regulátoru a řízené soustavy

- Inverzní kyvadlo může být stabilizováno v okolí vzpřímené polohy (nestabilního rovnovážného stavu)
	- lineárním stavovým regulátorem

- Jak je definováno pravidlo modus ponens? (A, B, C jsou výroky)
	- jestliže je pravda, že A implikuje B a jestliže A je pravda, pak i B je pravda

- Vlastnosti lineárního spojitého časově invariantního systému jsou jednoznačně určeny
	- impulsní nebo přechodovou nebo frekvenční charakteristikou systému

- Pro odezvu lineárního systému za nulových počátečních podmínek platí:
	- princip superpozice

- Přenos systému lze vždy určit
	- z impulsní nebo přechodové nebo frekvenční charakteristiky systému

- Odstředivý regulátor byl v minulosti nejčastěji použit na:
	- řízení otáček parního stroje

- Jak se nazýval první průmyslově vyráběný regulátor otáček parního stroje?
	- Wattův regulátor

- Úkolem filtrace při zpracování snímku je
	- odstranit šum obsažený v obraze

- Produkční systém v umělé inteligenci také využívá
	- bázi znalostí a bázi dat

- Předmětem umělé inteligence je také řešení následujících úloh
	- strojové vnímání prostředí

- Rozpoznávání předmětů a jevů v umělé inteligenci znamená
	- jejich třídění či klasifikace do tříd, a to podle určitých společných vlastností

- Při automatizaci procesů využíváme metody umělé inteligence obvykle, jestliže
	- není dostatek informací pro nalezení matematického modelu procesu, ale člověk úlohu umí řešit

- Jak definoval profesor Minsky umělou inteligenci?
	- jako vědu o vytváření strojů nebo systémů, které budou při řešení určitého úkolu užívat takového postupu, které - kdyby ho dělal člověk - bychom považovali za projev jeho inteligence

- Metody umělé inteligence se nezabývají
	- transformací znalostí do příznaků

- Co je to obraz předmětů a jevů v umělé inteligenci?
    - uspořádaná n-tice příznaků, které měříme

- Aplikační oblastí strojového vnímání prostředí je
    - rozpoznávání mluvené řeči
    - počítačová syntéza řeči

- Řešení úlohy o „misionářích a kanibalech“ se standardně v umělé inteligenci provádí
	- využitím technik prohledávání stavového prostoru

- Co je to procedura Minimax?
    - metoda pro řešení úloh hraní her

- Hra „Life“ na omezené ploše představuje
	- autonomní konečný automat

- Řízení rozlišujeme na
	- zpětnovazební a kompenzační (programové)

- Bílá skříňka je
	- identifikovaný mechanismus černé skříňky

- Konvoluce funkcí $h(t)$ $u(t)$ je definována následovně:
	- $\displaystyle\int_{-\infty}^{\infty} h(\tau)u(t-\tau)d\tau$

- Váhová (impulsní) funkce systému $h(t)$ je:
	- důsledek principu superpozice

- Konvoluce váhové funkce $h(t)$ lineárního t-invariantního systému a jeho vstupu $s(t)$ určuje
	- výstup systému