# Matice sousednosti

**Maticí sousednosti** orientovaného grafu $\vec{G}$ (připouštíme i smyčky) nazveme čtvercovou matici $A(\vec{G}) = (a_{ij})$ řádu $n$, definovanou předpisem

$a_{i,j} = \begin{cases} 1, & \text{pokud v } \vec{G} \text{ existuje hrana } (i, j), \\ 0 & \text{jinak}. \end{cases}$

Pro neorientovaný graf $G$ definujeme matici sousednosti $A(G)$ jako matici sousednosti **jeho symetrické orientace**. (obecně $A(\vec{G})$ není symetrická)

- hodnota 1 na $i$-tém řádku a $j$-tém sloupci značí hranu z vrcholu $v_{i}$ do $v_{j}$

# Počty sledů

Nechť $\vec{G}$ je orientovaný graf a $A(\vec{G}) = (a_{ij})$ je jeho matice sousednosti.
- Graf $\vec{G}$ má $n$ vrcholů a matice $A(\vec{G})$ má řád $n$.
- Prvek $(a^{(k)}_{ij})$ matice $A^k(\vec{G})$ je roven počtu orientovaných sledů délky $k \geq 0$ z vrcholu $v_{i}$ do vrcholu $v_{j}$ v grafu $\vec{G}$.
	- Matice sousednosti $A^0(\vec{G})$ bude rovna jednotkové matici řádu $n$.
	- Matici $A^k(\vec{G})$ získám násobením matic sousedností $k$-krát (matice na $k$-átou).

