# Úloha minimální cesty

**Algoritmus**: Minimální cesta z vrcholu $x$ do vrcholu $y$ - **E. W. Dijkstra**.

- Vstup: ohodnocený orientovaný graf $\vec{G}$, vrcholy $x$ a $y$.
1. Vrcholu $x$ přiřaď trvalou hodnotu $t(x) = 0$, ostatním vrcholům dočasnou hodnotu $\infty$ - horní hranice délky.
2. Je-li $u$ poslední vrchol. jemuž byla přiřazena trvalá hodnota $t(u)$, pak všem vrcholům $v$, pro něž $(u, v) \in E(\vec{G})$ a které ještě nemají trvalou hodnotu, přiřaď novou dočasnou hodnotu $d(v) = min\{ d(v), t(u) + w(u, v) \}$
3. Pro vrchol $w$ s nejmenší dočasnou hodnotou polož $t(w) = d(w)$.
4. Má vrchol $y$ trvalou hodnotu? Pokud ne, jdi na krok 2. Pokud ano, $t(y)$ je délka minimální cesty z $x$ do $y$, konec.

**Poznámka**: Hrany, na nichž $w(x, y) = t(y) - t(x)$ určují minimální cestu.