# Ortogonální průmět vektoru do podprostoru, lineární metoda nejmenších čtverců
## Ortogonální průmět vektoru do podprostoru
- Mějme Eukleidovský prostor $U$, jeho podprostor $V$ a v něm generátor (ne nutně bázi) $\vec{b}_{1}, \vec{b}_{2}, \dots, \vec{b}_{k}$. Máme určit ortogonální průmět $\overline{\vec{x}}$ prvku $\vec{x} \in U$ do $V$.
- Víme, že $\vec{x} - \overline{\vec{x}} \perp \vec{b}_{i}$ pro každé $i = 1, 2, \dots, k$.
- Dále: $\overline{\vec{x}} \in V$, tedy $\overline{\vec{x}} = a_{1}\vec{b}_{1} + a_{2}\vec{b}_{2} + \dots + a_{k}\vec{b}_{k}$  (je to LK generátorů).

### Ortogonální průmět a jeho vlastnosti
- Nechť V je euklidovský prostor
- Nechť $U$ je podprostor prostoru $V$
- nechť $v \in V$, $v \notin U$
- **ortogonální průmět** prvku $v$ do podprostoru $U$ je prvek $v_0$ pokud platí:
    - $v_0 \in U$
    - $(v - v_0) \perp U$
- ortogonální průmět $v_0$ tedy realizuje vzdálenost $v$ od $U$ (vzdálenost je zde definována )

## Lineární metoda nejmenších čtverců
- Metodou nejmenších čtverců je možné aproximovat funkci - najít nějakou jednodušší, která je co nejpodobnější.