### Báze

Je-li generující množina prostoru V lineárně nezávislá, jedná se také o bázi prostoru V.
- zápis: $\text{báze }A = \{\vec{v_{1}}, \vec{v_{2}}\}$

Bázi z generující množiny zjistím tím, že vektory GM zapíšu **do sloupců** matice a provedu **GJEM**, čímž zjistím, jestli se nedá některý z vektorů **vyjádřit jako LK jiného vektoru** (tedy vyjde jako **parametr**).

#### Dimenze V

Počet prvků báze V se nazývá **dimenze V** a značí se $dim(V)$.

Dimenzi vypočítám **zjištěním báze**, kde **počet prvků báze** je roven **dimenzi V**.

#### Souřadnice v bázi

Jednoznačně určené koeficienty $c_{1}, c_{2}, \dots, c_{n} \in \mathbb{R}$ LK $v = c_{1}\vec{b_{1}}, c_{2}\vec{b_{2}}, \dots, c_{n}\vec{b_{n}}$ se nazývají **souřadnice prvku v** v bází B.
- značí se $\widehat{v_{B}} = [c_{1}, c_{2}, \dots, c_{n}]^T$

Pořadí prvků v bázi je důležité! Při změně pořadí se změní i pořadí souřadnic:

$$B_{1} = \{ \vec{b_{1}}, \vec{b_{2}}, \vec{b_{3}} \} \qquad \vec{x}_{B_{1}} = [1, 2, 3]$$
$$B_{2} = \{ \vec{b_{2}}, \vec{b_{1}}, \vec{b_{3}} \} \qquad \vec{x}_{B_{2}} = [2, 1, 3]$$

Souřadnice součtu dvou prvků V jsou součtem souřadnic těchto prvků. 

$$\widehat{(\vec{v_{1}} + \vec{v_{2}})}_{B} = \widehat{\vec{v_{1}}_{B}} + \widehat{\vec{v_{2}}_{B}}$$
$$\widehat{(\lambda \cdot\vec{v_{2}})}_{B} = \lambda \cdot \widehat{\vec{v_{2}}_{B}}$$

### Určení souřadnic vektoru v bázi

1. Bázové prvky zapíšeme do levé strany matice do sloupců.
2. Vektor zapíšeme do pravé strany matice.
3. Pomocí GJEM převedeme levou stranu matice do tvaru jednotkové matice.
4. Na pravé straně máme souřadnice v zadané bázi.

### Lineární obal

- všechny lineární kombinace zadaných vektorů
- $\langle\vec{u}; \vec{v}\rangle = \{ \lambda_{1} \cdot \vec{u} + \lambda_{2} \cdot \vec{v} \}$